---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci trace`

Trace a CI/CD job log in real time

```plaintext
glab ci trace [<job-id>] [flags]
```

## Examples

```plaintext
$ glab ci trace
#=> interactively select a job to trace

$ glab ci trace 224356863
#=> trace job with id 224356863

```

## Options

```plaintext
  -b, --branch string   Check pipeline status for a branch. (Default is the current branch)
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
